#!/bin/sh
echo "Example 05"

# Initialize some variables that will be used in the script
IMAGE1="demo/docgen:dev"
OUTPUT1="/tmp/lab_output/out1"

IMAGE2="demo/docgen_buildah:dev"
OUTPUT2="/tmp/lab_output/out2"

IMAGE_OUT="/tmp/output"

# Let's create the folders where the container output will be stored
mkdir $OUTPUT1 $OUTPUT2
# We will execute podman using privileged flag to avoid permission
# errors when writing to, the mounted volume. The host will mount
# a folder where the image default CMD will generate the output
echo "Running container ${IMAGE1}"
podman run --privileged -v $OUTPUT1:/$IMAGE_OUT $IMAGE1
echo "Running container ${IMAGE2}"
podman run --privileged -v $OUTPUT2:/$IMAGE_OUT $IMAGE2

# Let's compare the output generated by both container images
# to verify their behavior is the same (although this is not the recommended
# way to compare container images)
# The only difference you shall encounter is the ModDate and CreationDate of the pdf file
echo "Comparing ${OUTPUT1} <-> ${OUTPUT2}"
diff $OUTPUT1 $OUTPUT2